Memory Stores
Create a memory item
POST
/memory_stores/{name}/itemsCreates a memory item in the specified memory store.
Path ParametersQuery ParametersHeader Parameters
namestringrequired
The name of the memory store.api-versionstringrequired
The API version to use for this operation.Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.MemoryStores=V1Preview
Request BodyContent-Type: application/json
scopestringrequired
The namespace that logically groups and isolates memories, such as a user ID.contentstringrequired
The content of the memory.kindenumrequired
The kind of the memory item.user_profilechat_summaryprocedural
Responses
One of the following:
user_profileUserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.chat_summaryChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.proceduralProceduralMemoryItem
A memory item containing a procedure extracted from conversations.